For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
        • GETGet default voice settings
        • GETGet voice settings
        • POSTEdit voice settings
      • GETList voices
      • GETGet voice
      • DELDelete voice
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoicesSettings

Get voice settings

GET
/v1/voices/:voice_id/settings
GET
/v1/voices/:voice_id/settings
$curl https://api.elevenlabs.io/v1/voices/voice_id/settings
1{
2 "stability": 1,
3 "use_speaker_boost": true,
4 "similarity_boost": 1,
5 "style": 0,
6 "speed": 1
7}

Returns the settings for a specific voice. “similarity_boost” corresponds to”Clarity + Similarity Enhancement” in the web app and “stability” corresponds to “Stability” slider in the web app.

Was this page helpful?
Previous

Edit voice settings

Next
Built with

Path parameters

voice_idstringRequired

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

Headers

xi-api-keystringOptional

Response

Successful Response
stabilitydouble or null0-1Defaults to 0.5
Determines how stable the voice is and the randomness between each generation. Lower values introduce broader emotional range for the voice. Higher values can result in a monotonous voice with limited emotion.
use_speaker_boostboolean or nullDefaults to true
This setting boosts the similarity to the original speaker. Using this setting requires a slightly higher computational load, which in turn increases latency.
similarity_boostdouble or null0-1Defaults to 0.75
Determines how closely the AI should adhere to the original voice when attempting to replicate it.
styledouble or nullDefaults to 0
Determines the style exaggeration of the voice. This setting attempts to amplify the style of the original speaker. It does consume additional computational resources and might increase latency if set to anything other than 0.
speeddouble or nullDefaults to 1
Adjusts the speed of the voice. A value of 1.0 is the default speed, while values less than 1.0 slow down the speech, and values greater than 1.0 speed it up.

Errors

422
Unprocessable Entity Error